clear 
cd "C:/Users/drechsel/Dropbox/Broadbent et al/restud acceptance/replicationCode/Section2/Replication_Section2_2/Data Eurostat"

************************* GVA (real Euros) ******************************
* Import data 
import excel "01_Eurostat_GVAeur_Data.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables and reshape the variables
rename GEO Country 
keep Country SUBJECT quarter Value
rename Value GVA_
reshape wide GVA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Eurostat_GVAeur_data.dta", replace
clear

****************************** Employment ******************************
* Import data 
import excel "01_Eurostat_Employment_Data.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables and reshape the variables
rename GEO Country 
keep Country SUBJECT quarter Value
rename Value EMP_
reshape wide EMP_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Eurostat_Employment_data.dta", replace
clear


********************* Deflators  (real Euros) **********************
* Import data 
import excel "01_Eurostat_GVAeur_deflators_Data.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Indicate deflators and divide by 100
replace SUBJECT = SUBJECT + "_DEFL"
replace Value = Value/100

* Keep necessary variables and reshape the variables
rename GEO Country 
keep Country SUBJECT quarter Value
rename Value GVA_
reshape wide GVA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Eurostat_GVAeur_deflators_data.dta", replace
