clear 
cd "C:/Users/drechsel/Dropbox/Broadbent et al/restud acceptance/replicationCode/Section2/Replication_Section2_2/Data OECD"

****************************** GVA ******************************
* Import data 
import excel "01_GVA_chainedvolumes_nationalcurrency_SA.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Create glossary for variables
preserve 
collapse Value, by(Subject SUBJECT)
drop Value
save "zz_subject_glossary_GVA.dta", replace
restore

* Keep necessary variables and reshape the variables
keep Country SUBJECT quarter Value
rename Value GVA_
reshape wide GVA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_GVA_chainedvolumes_nationalcurrency_SA.dta", replace
clear

****************************** GVA nominal ******************************

* Import data 
import excel "01_GVA_currentprices_nationalcurrency_SA.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Indicate deflators
replace SUBJECT = SUBJECT + "_NOMINAL"

* Keep necessary variables and reshape the variables
keep Country SUBJECT quarter Value
rename Value GVA_
reshape wide GVA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_GVA_currentprices_nationalcurrency_SA.dta", replace
clear


****************************** Employment SA ******************************
* Import data 
import excel "01_Employment_SA.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Create glossary for variables (only once necessary for hours and employment)
preserve 
collapse Value, by(Subject SUBJECT)
drop Value
save "zz_subject_glossary_employment_hours.dta", replace
restore

* Keep necessary variables and reshape the variables
keep Country SUBJECT quarter Value
rename Value EMP_SA_
reshape wide EMP_SA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Employment_SA.dta", replace
clear


****************************** Employment non SA ******************************
* Import data 
import excel "01_Employment_nonSA.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables and reshape the variables
keep Country SUBJECT quarter Value
rename Value EMP_nonSA_
reshape wide EMP_nonSA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Employment_nonSA.dta", replace
clear


****************************** Hours SA ******************************
* Import data 
import excel "01_Hours_SA.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables and reshape the variables
keep Country SUBJECT quarter Value
rename Value Hours_SA_
reshape wide Hours_SA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Hours_SA.dta", replace
clear 


****************************** Hours non SA ******************************
* Import data 
import excel "01_Hours_nonSA.xlsx",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables and reshape the variables
keep Country SUBJECT quarter Value
rename Value Hours_nonSA_
reshape wide Hours_nonSA_, i(Country quarter) j(SUBJECT) string

* Save data
save "02_Hours_nonSA.dta", replace
clear 


