clear all
cd "C:/Users/drechsel/Dropbox/Broadbent et al/restud acceptance/replicationCode/Section2/Replication_Section2_2/Data Exchange rates"

*************************** FRED Euro per USD data ******************************
* Import data 
import excel "01_FRED_EuroUSD_from1996",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables 
keep EURPerUSD quarter

* Save data
save "02_EURUSD.dta", replace
clear

*********************** OECD National Currency per USD data ********************
* Import data from OECD (national currency per USD)
import excel "01_OECD_nominal_xrates",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

* Keep necessary variables 
keep Country Value quarter
rename Value CurrencyPerUSD_nominal

* Save data
save "02_OECD_nominal_xrates.dta", replace

* Create also nominal *EURO* exchange rates
merge m:1 quarter using "02_EURUSD.dta"
keep if _merge == 3
drop _merge

gen CurrencyPerEUR_nominal = CurrencyPerUSD_nominal / EURPerUSD
rename Country CountryXrate

* Save data
save "02_OECD_nominal_xrates_EURO.dta", replace
clear

************************** GDP deflator ******************************
* for US, Canada, Australia

* Import data 
import excel "01_GDP_deflators",  firstrow
generate quarter = tq(1990q1) + Quartnum-1
format %tq quarter

drop Quartnum

* Save data
save "02_GDP_deflators.dta", replace
clear