* Load GVA data
clear
cd "C:/Users/drechsel/Dropbox/Broadbent et al/restud acceptance/replicationCode/Section2/Replication_Section2_2/Data OECD"
use "02_GVA_chainedvolumes_nationalcurrency_SA.dta"

* Merge the other OECD data sets 
* Keep merge = 1,2,3 -- this is useful to create file "zz_SampleStarts.xls"
merge m:1 Country quarter using "02_Employment_SA.dta"
rename _merge _merge_EMP_SA
merge m:1 Country quarter using "02_Employment_nonSA.dta"
rename _merge _merge_EMP_nonSA
merge m:1 Country quarter using "02_Hours_SA.dta"
rename _merge _merge_Hours_SA
merge m:1 Country quarter using "02_Hours_nonSA.dta"
rename _merge _merge_Hours_nonSA

* Also merge the nominal GVA
merge m:1 Country quarter using "02_GVA_currentprices_nationalcurrency_SA.dta"
drop if _merge==2
drop _merge 

* Arrange data sets
sort Country quarter
egen countryID = group(Country)
tsset countryID quarter
order Country countryID quarter _merge*

* Drop data after end of 2019 (Covid)
drop if quarter > 239

* Check earliest data and sample start -- this is useful to create file "zz_SampleStarts.xls"
bysort countryID: egen minqrt = min(quarter)
list Country quarter if quarter==minqrt

* Drop data earlier than 1996:Q1 (where we have the "main coverage", e.g. Czech Republic)
drop if quarter < 144

* Check countries employment/hours coverage
preserve 
collapse _merge*, by(Country) 
list Country _merge*
restore

* Drop countries without GVA data
drop if Country == "Israel"

* Drop countries that have too poor GVA coverage over time (start in 2000s)
drop if Country == "Colombia" | Country == "Iceland" | Country == "Mexico"

* Drop countries that have too poor coverage of employment or hours
drop if Country == "Chile" | Country == "Costa Rica" | Country == "New Zealand" | Country == "Korea" | Country == "Turkey"

* Some house keeping
drop countryID minqrt
order Country quarter GVA* EMP* Hours* 					
						
* Save data
save "03_regressiondata_OECD.dta", replace
