* Load the latest data
clear
cd "C:/Users/drechsel/Dropbox/Broadbent et al/restud acceptance/replicationCode/Section2/Replication_Section2_2/Data Sets Combined/"
use "04_combined_data.dta"

* Create the sector specific variables in preparation for reshape long command

* Drop total economy and total industry
drop *_B1G *_ETO *VB_E *Tota

* Drop nominal variables and deflators
drop *_NOMINAL *_DEFL *_DEFL_GERMAN

* Patch together Eurostat and OECD data

* Agriculture 
egen TOTAL_GVA_1 = rowtotal(GVA_B1GVA GVA_Agri)
egen TOTAL_RRGVA_1 = rowtotal(RRGVA_B1GVA RRGVA_Agri)
egen TOTAL_EMP_SA_1 = rowtotal(EMP_SA_ETOVA EMP_Agri)
egen TOTAL_EMP_nonSA_1 = rowtotal(EMP_nonSA_ETOVA)
egen TOTAL_Hours_SA_1 = rowtotal(Hours_SA_ETOVA)
egen TOTAL_Hours_nonSA_1 = rowtotal(Hours_nonSA_ETOVA)

* Manufacturing 
egen TOTAL_GVA_2 = rowtotal(GVA_B1GVC GVA_Manu)
egen TOTAL_RRGVA_2 = rowtotal(RRGVA_B1GVC GVA_Manu)
egen TOTAL_EMP_SA_2 = rowtotal(EMP_SA_ETOVC EMP_Manu)
egen TOTAL_EMP_nonSA_2 = rowtotal(EMP_nonSA_ETOVC)
egen TOTAL_Hours_SA_2 = rowtotal(Hours_SA_ETOVC)
egen TOTAL_Hours_nonSA_2 = rowtotal(Hours_nonSA_ETOVC)

* Construction 
egen TOTAL_GVA_3 = rowtotal(GVA_B1GVF GVA_Cons)
egen TOTAL_RRGVA_3 = rowtotal(RRGVA_B1GVF GVA_Cons)
egen TOTAL_EMP_SA_3 = rowtotal(EMP_SA_ETOVF EMP_Cons)
egen TOTAL_EMP_nonSA_3 = rowtotal(EMP_nonSA_ETOVF)
egen TOTAL_Hours_SA_3 = rowtotal(Hours_SA_ETOVF)
egen TOTAL_Hours_nonSA_3 = rowtotal(Hours_nonSA_ETOVF)

* Distr. trade / accomodation / food services 
egen TOTAL_GVA_4 = rowtotal(GVA_B1GVG_I GVA_Whol)
egen TOTAL_RRGVA_4 = rowtotal(RRGVA_B1GVG_I GVA_Whol)
egen TOTAL_EMP_SA_4 = rowtotal(EMP_SA_ETOVG_I EMP_Whol)
egen TOTAL_EMP_nonSA_4 = rowtotal(EMP_nonSA_ETOVG_I)
egen TOTAL_Hours_SA_4 = rowtotal(Hours_SA_ETOVG_I)
egen TOTAL_Hours_nonSA_4 = rowtotal(Hours_nonSA_ETOVG_I)

* Information / communication
egen TOTAL_GVA_5 = rowtotal(GVA_B1GVJ GVA_Info)
egen TOTAL_RRGVA_5 = rowtotal(RRGVA_B1GVJ GVA_Info)
egen TOTAL_EMP_SA_5 = rowtotal(EMP_SA_ETOVJ EMP_Info)
egen TOTAL_EMP_nonSA_5 = rowtotal(EMP_nonSA_ETOVJ)
egen TOTAL_Hours_SA_5 = rowtotal(Hours_SA_ETOVJ)
egen TOTAL_Hours_nonSA_5 = rowtotal(Hours_nonSA_ETOVJ)

* Finance and insurance 
egen TOTAL_GVA_6 = rowtotal(GVA_B1GVK GVA_Fina)
egen TOTAL_RRGVA_6 = rowtotal(RRGVA_B1GVK GVA_Fina)
egen TOTAL_EMP_SA_6 = rowtotal(EMP_SA_ETOVK EMP_Fina)
egen TOTAL_EMP_nonSA_6 = rowtotal(EMP_nonSA_ETOVK)
egen TOTAL_Hours_SA_6 = rowtotal(Hours_SA_ETOVK)
egen TOTAL_Hours_nonSA_6 = rowtotal(Hours_nonSA_ETOVK)

* Real estate 
egen TOTAL_GVA_7 = rowtotal(GVA_B1GVL GVA_Real)
egen TOTAL_RRGVA_7 = rowtotal(RRGVA_B1GVL GVA_Real)
egen TOTAL_EMP_SA_7 = rowtotal(EMP_SA_ETOVL EMP_Real)
egen TOTAL_EMP_nonSA_7 = rowtotal(EMP_nonSA_ETOVL)
egen TOTAL_Hours_SA_7 = rowtotal(Hours_SA_ETOVL)
egen TOTAL_Hours_nonSA_7 = rowtotal(Hours_nonSA_ETOVL)

* Professional, scientific, technical services 
egen TOTAL_GVA_8 = rowtotal(GVA_B1GVM_N GVA_Prof)
egen TOTAL_RRGVA_8 = rowtotal(RRGVA_B1GVM_N GVA_Prof)
egen TOTAL_EMP_SA_8 = rowtotal(EMP_SA_ETOVM_N EMP_Prof)
egen TOTAL_EMP_nonSA_8 = rowtotal(EMP_nonSA_ETOVM_N)
egen TOTAL_Hours_SA_8 = rowtotal(Hours_SA_ETOVM_N)
egen TOTAL_Hours_nonSA_8 = rowtotal(Hours_nonSA_ETOVM_N)

* Admin, education, health, social 
egen TOTAL_GVA_9 = rowtotal(GVA_B1GVO_Q GVA_Publ)
egen TOTAL_RRGVA_9 = rowtotal(RRGVA_B1GVO_Q GVA_Publ)
egen TOTAL_EMP_SA_9 = rowtotal(EMP_SA_ETOVO_Q EMP_Publ)
egen TOTAL_EMP_nonSA_9 = rowtotal(EMP_nonSA_ETOVO_Q)
egen TOTAL_Hours_SA_9 = rowtotal(Hours_SA_ETOVO_Q)
egen TOTAL_Hours_nonSA_9 = rowtotal(Hours_nonSA_ETOVO_Q)

* Arts, entertainment, recreation 
egen TOTAL_GVA_10 = rowtotal(GVA_B1GVR_U GVA_Arts)
egen TOTAL_RRGVA_10 = rowtotal(RRGVA_B1GVR_U GVA_Arts)
egen TOTAL_EMP_SA_10 = rowtotal(EMP_SA_ETOVR_U EMP_Arts)
egen TOTAL_EMP_nonSA_10 = rowtotal(EMP_nonSA_ETOVR_U)
egen TOTAL_Hours_SA_10 = rowtotal(Hours_SA_ETOVR_U)
egen TOTAL_Hours_nonSA_10 = rowtotal(Hours_nonSA_ETOVR_U)


* Drop redundant stuff
keep Country quarter TOTAL*
rename quarter Quarter
						
* Reshape data into 						
reshape long TOTAL_GVA_ TOTAL_RRGVA_ TOTAL_EMP_SA_ TOTAL_EMP_nonSA_ TOTAL_Hours_SA_ TOTAL_Hours_nonSA_, i(Country Quarter) j(SectorID)					
						
* Add back the sector explanation
gen Sector = "Agriculture, forestry, fishing"
replace Sector = "Manufacturing" if SectorID == 2
replace Sector = "Construction" if SectorID == 3
replace Sector = "Wholesale and retail trade, transport, accommodation and food service activities" if SectorID == 4
replace Sector = "Information and communication" if SectorID == 5
replace Sector = "Financial and insurance activities" if SectorID == 6
replace Sector = "Real estate activities" if SectorID == 7
replace Sector = "Professional, scientific and technical activities; administrative and support service activities" if SectorID == 8
replace Sector = "Public administration, defence, education, human health and social work activities" if SectorID == 9
replace Sector = "Arts, entertainment and recreation; other service activities; activities of household and extra-territorial organizations and bodies" if SectorID == 10

* Create country identifier
egen CountryID = group(Country)
order CountryID Country Quarter SectorID Sector
						
* For Canada, Australia and Switzerland, need to deseaonalize hours/employment 
* Generate quarter dummies
gen qrt = Quarter/4 - floor(Quarter/4)
gen q1dum = 0
replace q1dum = 1 if qrt == 0
gen q2dum = 0
replace q2dum = 1 if qrt == 0.25
gen q3dum = 0
replace q3dum = 1 if qrt == 0.5
gen q4dum = 0
replace q4dum = 1 if qrt == 0.75


* Australia 
forval i = 1/10 {
reg TOTAL_EMP_nonSA_ q1dum q2dum q3dum q4dum if Country=="Australia" & SectorID==`i', nocons 
predict residuals if Country=="Australia" & SectorID==`i', resid
egen TOTAL_EMP_nonSA_average = mean(TOTAL_EMP_nonSA_) if Country=="Australia" & SectorID==`i'
gen TOTAL_EMP_nonSA_seasonalized = residuals + TOTAL_EMP_nonSA_average
replace TOTAL_EMP_SA_ =  TOTAL_EMP_nonSA_seasonalized if Country=="Australia" & SectorID==`i'
drop residuals TOTAL_EMP_nonSA_average TOTAL_EMP_nonSA_seasonalized
}

* Switzerland
forval i = 1/10 {
reg TOTAL_EMP_nonSA_ q1dum q2dum q3dum q4dum if Country=="Switzerland" & SectorID==`i', nocons 
predict residuals if Country=="Switzerland" & SectorID==`i', resid
egen TOTAL_EMP_nonSA_average = mean(TOTAL_EMP_nonSA_) if Country=="Switzerland" & SectorID==`i'
gen TOTAL_EMP_nonSA_seasonalized = residuals + TOTAL_EMP_nonSA_average
replace TOTAL_EMP_SA_ =  TOTAL_EMP_nonSA_seasonalized if Country=="Switzerland" & SectorID==`i'
drop residuals TOTAL_EMP_nonSA_average TOTAL_EMP_nonSA_seasonalized
}

* Canada
forval i = 1/10 {
reg TOTAL_Hours_nonSA_ q1dum q2dum q3dum q4dum if Country=="Canada" & SectorID==`i', nocons 
predict residuals if Country=="Canada" & SectorID==`i', resid
egen TOTAL_Hours_nonSA_average = mean(TOTAL_Hours_nonSA_) if Country=="Canada" & SectorID==`i'
gen TOTAL_Hours_nonSA_seasonalized = residuals + TOTAL_Hours_nonSA_average
replace TOTAL_Hours_SA_ =  TOTAL_Hours_nonSA_seasonalized if Country=="Canada" & SectorID==`i'
drop residuals TOTAL_Hours_nonSA_average TOTAL_Hours_nonSA_seasonalized
}

* For Estonia, the hours data is questionable, so use employment
replace TOTAL_Hours_SA_ = . if Country=="Estonia"

* Cleaning up
drop q*dum qrt 
drop *nonSA*

* For hours, replace zeros as missing
replace TOTAL_Hours_SA_ = . if TOTAL_Hours_SA_==0

* 8 out of 31 countries do not have hours information
tab Country if TOTAL_Hours_SA_ == .

***************************************************************************

* Indicate EU joiners 1995: all have data from OECD
gen EUjoiner_1995 = 0 
replace EUjoiner_1995 = 1 if Country == "Austria" | Country == "Finland" | Country == "Sweden" 
	
* Indicate EU joiners 2004: 8 have data from OECD, Cyprus has data from Eurostat, no data for Malta
gen EUjoiner_2004 = 0 
replace EUjoiner_2004 = 1 if Country == "Czech Republic" | Country == "Estonia" | Country == "Hungary" | Country == "Latvia" | Country == "Lithuania" | ///
						Country == "Poland" | Country == "Slovak Republic" | Country == "Slovenia" | Country == "Cyprus"
						
* Indicate EU joiners 2007: data os from Eurostat
gen EUjoiner_2007 = 0 
replace EUjoiner_2007 = 1 if Country == "Romania" | Country == "Bulgaria" 

* Indicate EU joiners 2013: data os from Eurostat
gen EUjoiner_2013 = 0 
replace EUjoiner_2013 = 1 if Country == "Croatia"

* Create a dummy indicating EU membership through time
gen EUmember = 0 
replace EUmember = 1 if Country == "Austria" | Country == "Belgium" | Country == "Denmark" | Country == "Finland" | Country == "France" | ///
						Country == "Germany" | Country == "Greece" | Country == "Ireland" | Country == "Italy" | Country == "Luxembourg" | ///
						Country == "Netherlands" | Country == "Portugal" | Country == "Spain" | Country == "Sweden" | Country == "United Kingdom"
replace EUmember = 1 if EUjoiner_2004 == 1 & Quarter > 176
replace EUmember = 1 if EUjoiner_2007 == 1 & Quarter > 187
replace EUmember = 1 if EUjoiner_2013 == 1 & Quarter > 211

* Indicate countries 
gen NoHoursData = 0
replace NoHoursData = 1 if Country == "Romania" | Country == "Bulgaria" | Country == "Croatia" | Country == "Cyprus" | ///
						   Country == "Australia" | Country == "Switzerland" | Country == "Belgium" | Country == "Estonia"

* Create a dummy indicating the 5yr period after joining the EU
* This is for the main interaction
gen JoinEU5 = 0
replace JoinEU5 = 1 if EUjoiner_1995 == 1 & Quarter > 139 & Quarter < 139+21
replace JoinEU5 = 1 if EUjoiner_2004 == 1 & Quarter > 176 & Quarter < 176+21
replace JoinEU5 = 1 if EUjoiner_2007 == 1 & Quarter > 187 & Quarter < 187+21
replace JoinEU5 = 1 if EUjoiner_2013 == 1 & Quarter > 211 & Quarter < 211+21

* Also indicate the 5year period before 
* (not possible for 1995 joiners)
gen PreEU5 = 0
replace PreEU5 = 1 if EUjoiner_2004 == 1 & Quarter < 177 & Quarter > 176-20
replace PreEU5 = 1 if EUjoiner_2007 == 1 & Quarter < 188 & Quarter > 187-20
replace PreEU5 = 1 if EUjoiner_2013 == 1 & Quarter < 212 & Quarter > 211-20

* Split this dummy also year by year
gen JoinEU5_year1 = 0
replace JoinEU5_year1 = 1 if EUjoiner_1995 == 1 & Quarter > 139 & Quarter < 139+5
replace JoinEU5_year1 = 1 if EUjoiner_2004 == 1 & Quarter > 176 & Quarter < 176+5
replace JoinEU5_year1 = 1 if EUjoiner_2007 == 1 & Quarter > 187 & Quarter < 187+5
replace JoinEU5_year1 = 1 if EUjoiner_2013 == 1 & Quarter > 211 & Quarter < 211+5
gen JoinEU5_year2 = 0
replace JoinEU5_year2 = 1 if EUjoiner_1995 == 1 & Quarter > 139+4 & Quarter < 139+9
replace JoinEU5_year2 = 1 if EUjoiner_2004 == 1 & Quarter > 176+4 & Quarter < 176+9
replace JoinEU5_year2 = 1 if EUjoiner_2007 == 1 & Quarter > 187+4 & Quarter < 187+9
replace JoinEU5_year2 = 1 if EUjoiner_2013 == 1 & Quarter > 211+4 & Quarter < 211+9
gen JoinEU5_year3 = 0
replace JoinEU5_year3 = 1 if EUjoiner_1995 == 1 & Quarter > 139+8 & Quarter < 139+13
replace JoinEU5_year3 = 1 if EUjoiner_2004 == 1 & Quarter > 176+8 & Quarter < 176+13
replace JoinEU5_year3 = 1 if EUjoiner_2007 == 1 & Quarter > 187+8 & Quarter < 187+13
replace JoinEU5_year3 = 1 if EUjoiner_2013 == 1 & Quarter > 211+8 & Quarter < 211+13
gen JoinEU5_year4 = 0
replace JoinEU5_year4 = 1 if EUjoiner_1995 == 1 & Quarter > 139+12 & Quarter < 139+17
replace JoinEU5_year4 = 1 if EUjoiner_2004 == 1 & Quarter > 176+12 & Quarter < 176+17
replace JoinEU5_year4 = 1 if EUjoiner_2007 == 1 & Quarter > 187+12 & Quarter < 187+17
replace JoinEU5_year4 = 1 if EUjoiner_2013 == 1 & Quarter > 211+12 & Quarter < 211+17
gen JoinEU5_year5 = 0
replace JoinEU5_year5 = 1 if EUjoiner_1995 == 1 & Quarter > 139+16 & Quarter < 139+21
replace JoinEU5_year5 = 1 if EUjoiner_2004 == 1 & Quarter > 176+16 & Quarter < 176+21
replace JoinEU5_year5 = 1 if EUjoiner_2007 == 1 & Quarter > 187+16 & Quarter < 187+21
replace JoinEU5_year5 = 1 if EUjoiner_2013 == 1 & Quarter > 211+16 & Quarter < 211+21

* For robustness, also do a three year version
gen JoinEU3 = 0
replace JoinEU3 = 1 if EUjoiner_1995 == 1 & Quarter > 139 & Quarter < 139+13
replace JoinEU3 = 1 if EUjoiner_2004 == 1 & Quarter > 176 & Quarter < 176+13
replace JoinEU3 = 1 if EUjoiner_2007 == 1 & Quarter > 187 & Quarter < 187+13
replace JoinEU3 = 1 if EUjoiner_2013 == 1 & Quarter > 211 & Quarter < 211+13

* Generate traded sector dummies
gen TradedDummy = 0
replace TradedDummy = 1 if SectorID == 1 | SectorID == 2  | SectorID == 6
gen TradedDummyNarrow = 0
replace TradedDummyNarrow = 1 if SectorID == 1 | SectorID == 2  
gen TradedDummyWide = 0
replace TradedDummyWide = 1 if SectorID == 1 | SectorID == 2  | SectorID == 6 | SectorID == 8

***************************************************************************

* For robustness also create a Euro Area dummy 
gen EUROjoiner_1999 = 0 
replace EUROjoiner_1999 = 1 if Country == "Austria" | Country == "Belgium" | Country == "Finland" | Country == "France" | Country == "Germany" | ///
							   Country == "Ireland" | Country == "Italy" | Country == "Luxembourg" | Country == "Netherlands"  | Country == "Portugal" | Country == "Spain"

gen EUROjoiner_2001 = 0 
replace EUROjoiner_2001 = 1 if Country == "Greece" 
							   
gen EUROjoiner_2007 = 0 
replace EUROjoiner_2007 = 1 if Country == "Slovenia"

gen EUROjoiner_2008 = 0 
replace EUROjoiner_2008 = 1 if Country == "Cyprus"

gen EUROjoiner_2009 = 0 
replace EUROjoiner_2009 = 1 if Country == "Slovakia"

gen EUROjoiner_2011 = 0 
replace EUROjoiner_2011 = 1 if Country == "Estonia"

gen EUROjoiner_2014 = 0 
replace EUROjoiner_2014 = 1 if Country == "Latvia"

gen EUROjoiner_2015 = 0 
replace EUROjoiner_2015 = 1 if Country == "Lithuania"

gen JoinEURO5 = 0
replace JoinEURO5 = 1 if EUROjoiner_1999 == 1 & Quarter > 155 & Quarter < 155+21
replace JoinEURO5 = 1 if EUROjoiner_2001 == 1 & Quarter > 163 & Quarter < 163+21
replace JoinEURO5 = 1 if EUROjoiner_2007 == 1 & Quarter > 187 & Quarter < 187+21
replace JoinEURO5 = 1 if EUROjoiner_2008 == 1 & Quarter > 191 & Quarter < 191+21
replace JoinEURO5 = 1 if EUROjoiner_2009 == 1 & Quarter > 195 & Quarter < 195+21
replace JoinEURO5 = 1 if EUROjoiner_2011 == 1 & Quarter > 203 & Quarter < 203+21
replace JoinEURO5 = 1 if EUROjoiner_2014 == 1 & Quarter > 215 & Quarter < 215+21
replace JoinEURO5 = 1 if EUROjoiner_2015 == 1 & Quarter > 219 & Quarter < 219+21

***************************************************************************

* Set panel
egen CountrySectorID = group(CountryID SectorID)
tsset CountrySectorID Quarter

* Create LHS variables (GVA in common real units, Germany is "Base country")
gen RRGVAperHours = TOTAL_RRGVA_ / TOTAL_Hours_SA_ 
gen RRGVAperEMP = TOTAL_RRGVA_ / TOTAL_EMP_SA_ 
gen RRGVAperHoursPatched = RRGVAperHours
replace RRGVAperHoursPatched = RRGVAperEMP if RRGVAperHours==.
gen D_RRGVAperHours = (RRGVAperHours / L1.RRGVAperHours - 1) * 100
gen D_RRGVAperEMP = (RRGVAperEMP / L1.RRGVAperEMP - 1) * 100
gen D_RRGVAperHoursPatched = (RRGVAperHoursPatched / L1.RRGVAperHoursPatched - 1) * 100

* Create alternative LHS variables (GVA in domestic real units)
gen GVAperHours = TOTAL_GVA_ / TOTAL_Hours_SA_ 
gen GVAperEMP = TOTAL_GVA_ / TOTAL_EMP_SA_ 
gen GVAperHoursPatched = GVAperHours
replace GVAperHoursPatched = GVAperEMP if GVAperHours==.
gen D_GVAperHours = (GVAperHours / L1.GVAperHours - 1) * 100
gen D_GVAperEMP = (GVAperEMP / L1.GVAperEMP - 1) * 100
gen D_GVAperHoursPatched = (GVAperHoursPatched / L1.GVAperHoursPatched - 1)  * 100

order CountrySectorID Country* Sector* Quarter EU* Join* Traded*
sort CountryID SectorID Quarter

* Save
save "05_SectorCountryTime_panel.dta", replace
