clear;
close all;

dynarePath = 'c:/dynare/4.5.7/matlab';
addpath(dynarePath);

% This codes reproduces results in Table 5 of the paper.
% To estimate the model set load_res = 0;
load_res = 1;
% Set save_res = 1 to save estimation results in spreadsheet ../Results/TablesPaper.xlsx
save_res = 1;

if load_res
    load ../Results/soetnt_res.mat
else
    dynare soetnt.mod
end

if save_res == 1
    param_str=[cell2mat(struct2cell(posterior_mean.parameters)) cell2mat(struct2cell(posterior_hpdinf.parameters)) cell2mat(struct2cell(posterior_hpdsup.parameters))];
    param_me=[cell2mat(struct2cell(posterior_mean.measurement_errors_std)) cell2mat(struct2cell(posterior_hpdinf.measurement_errors_std)) cell2mat(struct2cell(posterior_hpdsup.measurement_errors_std))];
else 
    param_str=[cell2mat(struct2cell(oo_.posterior_mean.parameters)) cell2mat(struct2cell(oo_.posterior_hpdinf.parameters)) cell2mat(struct2cell(oo_.posterior_hpdsup.parameters))];
    param_me=[cell2mat(struct2cell(oo_.posterior_mean.measurement_errors_std)) cell2mat(struct2cell(oo_.posterior_hpdinf.measurement_errors_std)) cell2mat(struct2cell(oo_.posterior_hpdsup.measurement_errors_std))];
end

xlswrite('../Results/TablesPaper.xlsx',param_str(1:8,:),'Table5','G5:I12')
xlswrite('../Results/TablesPaper.xlsx',param_str(9:end,:),'Table5','G14:I29')
xlswrite('../Results/TablesPaper.xlsx',param_me,'Table5','G31:I35')