function [DlogGDP,GDPlevel] = compute_chain_linked_GDP(DlogYT,DlogYN,p,...
    XTlagLevel,XNlagLevel,omegaTinit)

%% COMPUTE LEVELS OF YT, YN AND P
YT = cumprod(exp(DlogYT));
YN = cumprod(exp(DlogYN));
P = p.*XTlagLevel./XNlagLevel;

%% COMPUTE EXPENDITURE SHARES
omegaT = YT./(YT + P.*YN);

%% COMPUTE ANNUAL AVERAGES
omegaTavg =  filter(ones(1,4)/4,1,omegaT);

%% EXTRACT END YEAR VALUES
endYearIndices = 4:4:length(omegaTavg);
omegaTavg = omegaTavg(endYearIndices);
omegaTavg = repmat(omegaTavg,1,4)';
omegaTavg = omegaTavg(:);

%% ADD FOUR QUARTERS OF INITIAL SS OMEGAT AND TRIM
omegaTavg = [omegaTinit*ones(4,1); omegaTavg];
omegaTavg = omegaTavg(1:length(p))';

%% BUILD THE AGGREGATE SERIES
DlogGDP = omegaTavg.*DlogYT + (1-omegaTavg).*DlogYN;
GDPlevel = cumprod(exp(DlogGDP));

end