function [postShockPath,preShockPath] = ...
    create_100log_levels(varName,endogVarNames,xSim,oldTrend,newTrend,...
    nPreShockPeriods)

baseSeries = get_paths(varName,endogVarNames,xSim,nPreShockPeriods);

initialValue = baseSeries(1);
preShockPath = 100*log(initialValue*oldTrend);
postShockPath = 100*log(baseSeries.*newTrend);

%% NORMALISE TO BE ZERO IMMEDIATELY BEFORE BREXIT SHOCK
preShockPath = preShockPath - preShockPath(1+nPreShockPeriods);
postShockPath = postShockPath - postShockPath(1+nPreShockPeriods);

end

