% Script to run Brexit simulations.

%% WORKSPACE MANAGEMENT, PATH MANAGEMENT & SET DEFAULTS
tidyUpAndSetPath;
startTime = clock;

%% SET OPTIONS
simOptions = struct;
simOptions.resultsFolder = resultsFolder;
simOptions.saveResults = true;
simOptions.cleanFolder = false;

%% SPECIFY SIMULATION VARIANTS TO RUN
simVariants = {'baseline';'Ant10qtr';'Ant20qtr';'LessPersistent';...
    'LevelShock';'gaNshock'};

%% LOOP OVER CALLS TO BREXIT SIMULATION FUNCTION
nVariants = size(simVariants,1);
for iVariant = 1:nVariants
    iSimVarName = simVariants{iVariant};
    if iVariant == nVariants
        simOptions.cleanFolder = true;
    end
    do_Brexit_sim_variant(iSimVarName,simOptions);
end

%% DISPLAY TOTAL COMPUTATION TIME
finishTime = clock;
disp('*********************************************************');
disp('TOTAL COMPUTING TIME FOR ALL VARIANTS:');
compute_and_display_elapsed_time(startTime,finishTime);
